//
//  Text.h
//  Demine
//
//  Created by Michael Heyeck on 4/10/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Glyph.h"


@interface Text : Glyph
{
	CGTextDrawingMode	drawMode;
	CGFloat				strokeWidth;
	UIFont*				font;
	UIColor*			color;
	CGPoint				offset;
	NSString*			string;
}

@property (nonatomic, assign) CGTextDrawingMode drawMode;
@property (nonatomic, assign) CGFloat strokeWidth;
@property (nonatomic, retain) UIFont* font;
@property (nonatomic, retain) UIColor* color;
@property (nonatomic, assign) CGPoint offset;
@property (nonatomic, retain) NSString* string;

@end
