//
//  GlyphGroup.m
//  Demine
//
//  Created by Michael Heyeck on 4/10/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import "GlyphGroup.h"


@implementation GlyphGroup

@synthesize glyphs;
@synthesize modelTransform;

- (NSMutableArray*)glyphs
{
	if (!glyphs)
	{
		glyphs = [[NSMutableArray alloc] initWithCapacity:1];
	}
	return glyphs;
}


- (id)init
{
	if (self = [super init])
	{
		modelTransform = CGAffineTransformMakeScale(1.0, 1.0);
	}
	return self;
}


- (void)dealloc
{
	[glyphs release];
	[super dealloc];
}

@end
