//
//  Glossy.h
//  fightcard
//
//  Created by Michael Heyeck on 6/26/09.
//  Copyright 2009 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface UIButton (Glossy)

+ (void)setPathToRoundedRect:(CGRect)rect forInset:(NSUInteger)inset inContext:(CGContextRef)context;
+ (void)drawGlossyRect:(CGRect)rect withColor:(UIColor*)color inContext:(CGContextRef)context;
+ (void)drawGrooveRect:(CGRect)rect inContext:(CGContextRef)context;
+ (NSUInteger)testHsvConversion;
- (void)setBackgroundToGlossyRectOfColor:(UIColor*)color withBorder:(BOOL)border forState:(UIControlState)state;

@end

